E-MailRelay

Public Attributes | List of all members
GSmtp::ProtocolMessage::ProcessedInfo Struct Reference

Parameters for GSmtp::ProtocolMessage::processedSignal() More...

`#include <gprotocolmessage.h>`

Collaboration diagram for GSmtp::ProtocolMessage::ProcessedInfo:
[legend]

## Public Attributes
bool | success
GStore::MessageId | id
int | response_code
std::string | response
std::string | reason

## Detailed Description

Parameters for GSmtp::ProtocolMessage::processedSignal()

Definition at line 67 of file gprotocolmessage.h.

## Member Data Documentation

## ◆ id

GStore::MessageId GSmtp::ProtocolMessage::ProcessedInfo::id

Definition at line 70 of file gprotocolmessage.h.

## ◆ reason

std::string GSmtp::ProtocolMessage::ProcessedInfo::reason

Definition at line 73 of file gprotocolmessage.h.

## ◆ response

std::string GSmtp::ProtocolMessage::ProcessedInfo::response

Definition at line 72 of file gprotocolmessage.h.

## ◆ response_code

int GSmtp::ProtocolMessage::ProcessedInfo::response_code

Definition at line 71 of file gprotocolmessage.h.

## ◆ success

bool GSmtp::ProtocolMessage::ProcessedInfo::success

Definition at line 69 of file gprotocolmessage.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gprotocolmessage.h